[**@rxap/forms v19.0.4**](../README.md)

***

[@rxap/forms](../globals.md) / FormBuilderFn

# Type Alias: FormBuilderFn()\<T, Data\>

> **FormBuilderFn**\<`T`, `Data`\>: (`state`, `options`) => `T` \| [`RxapFormControl`](../classes/RxapFormControl.md)

Defined in: [packages/angular/forms/src/lib/model.ts:121](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/model.ts#L121)

## Type Parameters

• **T** *extends* [`FormDefinition`](../interfaces/FormDefinition.md)\<`Data`\> \| [`FormType`](FormType.md)\<`Data`\> = [`FormDefinition`](../interfaces/FormDefinition.md)

• **Data** = `Record`\<`string`, `any`\>

## Parameters

### state

`any`

### options

#### controlId

`string`

## Returns

`T` \| [`RxapFormControl`](../classes/RxapFormControl.md)
